Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## hibergui.hibernate
Class HibernateM2OEdit_Combo<T>

    java.lang.Object
      hibergui.Component<T>
          hibergui.Edit<C>
              hibergui.assoc.AssociationEdit<T,T>
                  hibergui.assoc.M2OEdit<T>
                      hibergui.assoc.M2OEdit_Combo<T>
                          hibergui.hibernate.HibernateM2OEdit_Combo<T>

All Implemented Interfaces:
  HibernateM2OEdit<T>

    public abstract class HibernateM2OEdit_Combo<T>

extends M2OEdit_Combo<T>
implements HibernateM2OEdit<T>

Nested Class Summary

Nested classes/interfaces inherited from class hibergui.Edit
`Edit.DefaultComputation<TT>, Edit.EditConstraint`

Field Summary

Fields inherited from class hibergui.assoc.M2OEdit_Combo
`editProp`

Fields inherited from class hibergui.assoc.M2OEdit
`persistentClass`

Fields inherited from class hibergui.assoc.AssociationEdit
`btnAssoc, dlgAssoc`

Fields inherited from class hibergui.Edit
`form, lsn_TRAVERSE, lsn_WIDGET_MOD, value`

Fields inherited from class hibergui.Component
`lsn_WIDGET_FOCUS, lsn_WIDGET_KEY, style`

Constructor Summary
`HibernateM2OEdit_Combo(Form<?> form, org.eclipse.swt.widgets.Composite cptParent, int style, java.lang.String prop, java.lang.String name, java.lang.String editProp)`

Method Summary
`protected org.hibernate.Criteria` | `createCriteria()`
`protected org.hibernate.Criteria` | `createCriteriaByExample()`
`org.hibernate.criterion.Example` | `createExample(T sample)`
`protected java.util.List<T>` | `findAll()`
`protected java.util.List<T>` | `findSuch()`

Methods inherited from class hibergui.assoc.M2OEdit_Combo
`clear, createContents, extract, extract, fill, fillForm, getItemText, getText, isEnabled, refresh, setBackground, setDefault, setEnabled, setFocus`

Methods inherited from class hibergui.assoc.M2OEdit
`createForm, createForm, setSelection`

Methods inherited from class hibergui.assoc.AssociationEdit
`createAssocDialog, createAssocDialogButton, setEditable`

Methods inherited from class hibergui.Edit
`addConstraint, addConstraint, addModificationListener, addTraverseListener, fireKeyPressed, fireKeyReleased, fireTraversal, fix, get, getDefault, getName, getPropertyName, hasDefault, isDirty, isEditable, isFixed, isValid, markClean, markDirty, markInvalid, markValid, removeConstraint, removeConstraint, removeModificationListener, removeTraverseListener, resetBackground, set, setDefault, setDefault, setDefault, verify`

Methods inherited from class hibergui.Component
`addChangeListener, addControlListener, addFocusListener, addKeyListener, dispose, fireChange, getControl, init, removeChangeListener, removeControlListener, removeFocusListener, removeKeyListener, setLayoutData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface hibergui.hibernate.HibernateM2OEdit
`getPropertyName, setDefault`

Constructor Detail

### HibernateM2OEdit_Combo

    public HibernateM2OEdit_Combo(Form<?> form,
                                  org.eclipse.swt.widgets.Composite cptParent,
                                  int style,
                                  java.lang.String prop,
                                  java.lang.String name,
                                  java.lang.String editProp)

Method Detail

### findAll

    protected java.util.List<T> findAll()

  Specified by:
    `findAll` in class `M2OEdit<T>`

### findSuch

    protected java.util.List<T> findSuch()

  Specified by:
    `findSuch` in class `M2OEdit<T>`

### createCriteria

    protected org.hibernate.Criteria createCriteria()

### createCriteriaByExample

    protected org.hibernate.Criteria createCriteriaByExample()

### createExample

    public org.hibernate.criterion.Example createExample(T sample)

  Specified by:
    `createExample` in interface `HibernateM2OEdit<T>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD